Subject: Re: [PATCH] git-p4.py: Make submit working on bare repository

From: Amadeusz Żołnowski <[email-masked]>
Date: Mon, 22 Feb 2016 18:50:23 +0000

Junio C Hamano <[email-masked]> writes:
> I wonder if it makes sense to just silently allowing submit without
> rebasing, and without telling the user how to clean it up.

It is a good point. Maybe submit shouldn't be allowed by default at all
From bare repository. What do you think about following approach?  If
core.base is true, then if git-p4.submitFromBare is also true then
submit without performing proper rebase, but update master ref from
p4/master. If core.base is true, but git-p4.submitFromBare is false,
abort immediately. Submitting from bare repository would require aware
decision from a user.

Kind regards,

-- 
Amadeusz Żołnowski